import {Button, Flex, Form, Input, Space} from "antd";
import {useForm} from "antd/es/form/Form";

type FormDataType = {
    invoiceTitle: string;
    invoicePhone: string;
    invoiceNo: string;
    invoiceBank: string;
    invoiceAddress: string;
    invoiceAccount: string;
}

export default function InvoiceInfoSave() {

    const [form] = useForm<FormDataType>()

    return (
        <>
            <Form
                name="basic"
                layout="vertical"
                form={form}
                onFinish={() => {

                }}
            >
                <Form.Item
                    label="公司名称"
                    name="invoiceTitle"
                    rules={[{required: true, message: '请输入公司名称'}]}
                >
                    <Input placeholder="请输入公司名称"/>
                </Form.Item>
                <Form.Item
                    label="纳税人识别号"
                    name="invoiceNo"
                    rules={[{required: true, message: '请输入纳税人识别号'}]}
                >
                    <Input placeholder="请输入纳税人识别号"/>
                </Form.Item>
                <Form.Item
                    label="公司地址"
                    name="invoiceAddress"
                    rules={[{required: true, message: '请输入公司地址'}]}
                >
                    <Input placeholder="请输入公司地址"/>
                </Form.Item>
                <Form.Item
                    label="公司电话"
                    name="invoicePhone"
                    rules={[{required: true, message: '请输入公司电话'}]}
                >
                    <Input placeholder="请输入公司电话"/>
                </Form.Item>
                <Form.Item
                    label="开户行"
                    name="invoiceBank"
                    rules={[{required: true, message: '请输入开户行'}]}
                >
                    <Input placeholder="请输入开户行"/>
                </Form.Item>
                <Form.Item
                    label="开户行账号"
                    name="invoiceAccount"
                    rules={[{required: true, message: '请输入开户行账号'}]}
                >
                    <Input placeholder="请输入开户行账号"/>
                </Form.Item>
                <Flex justify="center">
                    <Space size={5}>
                        <Button type="primary" htmlType="submit" style={{backgroundColor: 'var(--color-primary)'}}>保存</Button>
                        <Button type="default" onClick={() => {}}>关闭</Button>
                    </Space>
                </Flex>
            </Form>
        </>
    )
}